package it.mice.voila2.plugin.transformer;

import java.util.ArrayList;
import java.util.Collection;

import org.eclipse.core.resources.IProject;

/**
 * Classe di risorse statiche e condivise con gli altri plugin del framework
 * 
 * @author Vittorio Niespolo <vittorio.niespolo@micegroup.it>
 *
 */
public class StaticResources {

	/**
	 * Elenco dei progetti da filtrare e da cui rimuovere i filtri prima di
	 * effettuare la sincronizzazione
	 */
	private static Collection<IProject> projectsToFilter = new ArrayList<IProject>();

	public static Collection<IProject> getProjectsToFilter() {
		return StaticResources.projectsToFilter;
	}

	public static void setProjectsToFilter(Collection<IProject> projectsToFilter) {
		StaticResources.projectsToFilter = projectsToFilter;
	}
}
